Inventor Customization

Inventor Customization

Reply
Contributor
22 Posts
0 Kudos
Registered: ‎06-26-2012
Post 1 of 4
Accepted Solution

ilogic form trigger

431 Views, 3 Replies
11-29-2012 03:18 PM

I have a ipt which is controlled via an ilogic form,this form is opened by ilogic code, which in turn is triggered when the ipt is opened.

my problem is when the part is placed within an assembly the said form is triggered and the same happens when the assembly is reopened!.... I would prefer if the form opened only when the ipt is opened or edited.... 

Is there a snippet of code for this? Or is it even possible?

Try the following code in the rule file that is being opened on open : 

 

Dim CurrentDoc as PartDocument = ThisDoc.Document 
If (Not (CurrentDoc Is ThisApplication.ActiveDocument)) Then Return
Valued Mentor
286 Posts
187 Kudos
Registered: ‎01-26-2011
Post 2 of 4

Re: ilogic form trigger

11-30-2012 06:25 AM in reply to: Fleagle8t

Try the following code in the rule file that is being opened on open : 

 

Dim CurrentDoc as PartDocument = ThisDoc.Document  
If (Not (CurrentDoc Is ThisApplication.ActiveDocument)) Then Return
--------------------------------------------------------------------------------------

If my solution seems to remedy your problem, please press the Accept Solution button, -
as it increases my power levels and will eventually help to elevate me towards outer space.

Check out my iLogic injection tool here : http://goo.gl/ce1Qg
--------------------------------------------------------------------------------------
Contributor
22 Posts
0 Kudos
Registered: ‎06-26-2012
Post 3 of 4

Re: ilogic form trigger

01-12-2013 12:24 AM in reply to: MegaJerk

Works at treat, thanks MegaJerk. :smileyhappy:

New Member
1 Posts
0 Kudos
Registered: ‎07-09-2014
Post 4 of 4

Re: ilogic form trigger

07-09-2014 07:02 AM in reply to: Fleagle8t

Hello, I came across this post and tried using the code in the solution. I still have problems at the assembly level, when I reopen the assembly all my forms will come up again. I have the event trigger set (in the iLogic part) to when the document opens the form will appear. but I would like to have it only appear once upon initial placement of the iLogic part.

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are you interested in helping shape the future of the Autodesk Community? To participate in this brief usability study, please click here. Your time and input is greatly appreciated!